Bug 492198 - metacity (+compositing) terminates gnome session when suspending
metacity (+compositing) terminates gnome session when suspending
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-25 16:34 EDT by Michel Alexandre Salim
Modified: 2014-06-18 05:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-22 18:04:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2009-03-25 16:34:03 EDT
Description of problem:
If compositing is turned on, metacity causes the GNOME session to be aborted on suspend. On resume, the user is presented with the GDM login screen.

Version-Release number of selected component (if applicable):
metacity-2.25.144-5.fc11.x86_64
gnome-session-2.25.92-2.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Turn on compositing (apps->metacity->general->compositing_manager)
2. suspend
3. resume
  
Actual results:
On resume, user presented with GDM screen

Expected results:
On resume, the user's desktop is presented. This still works if compositing is disabled

Additional info:
This used to work in F-10 (and perhaps F-11 alpha)
Comment 1 Søren Sandmann Pedersen 2009-04-22 18:04:52 EDT
Sorry, we can't support the metacity compositor (it's only available in gconf for a reason). Until gnome shell arrives, compiz is the recommended compositing solution.

Feel free to file a bug upstream.

Note You need to log in before you can comment on or make changes to this bug.